---
title: Rollback the product against the given Id, revert previous version as the latest.
slug: api-documentation/yxf4-rollback-the-product-against-the-given-id-revert-previous-version-as-the-latest
docTags: 
createdAt: 2026-08-27T17:00:05.343Z
---

{
  "id": "x8OP9NvEHl2SRQ5uOdl4_",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/products/{id}/retrieve",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/products/{id}/retrieve"
      }
    ],
    "name": "Rollback the product against the given Id, revert previous version as the latest.",
    "description": "This allows admins to rollback current version to the previous version if required. It helps in managing the versions of products.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>Product restored to the requested version successfully. Normally the body is an empty object. When one or more variants were linked or delinked while in ARCHIVED state as part of the restore, the body is instead a partial-response structure (name, code, totalEntries, successful, failed, detail[] with a per-variant message, reason) reporting each such variant and whether it was linked to / delinked from the product in ARCHIVED state. The restore itself still succeeds and no link is broken.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "headers": [
          {
            "kind": "optional",
            "name": "Allow",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Cache-Control",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Content-Type",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "ETag",
            "description": ""
          },
          {
            "kind": "optional",
            "name": "Location",
            "description": ""
          }
        ],
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "nKzoenzwTMieaXPZ7xF49",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/products/{id}/retrieve \\\n     --header 'accept: application/json'"
        },
        {
          "id": "4x89Czt4r_-gOOZEVBijJ",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/products/{id}/retrieve\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "qrK_NcVeXXWoT6gfc6IQ_",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/products/{id}/retrieve\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "eGVL9Xg3BFQ3RkUxg5OUJ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/pim/products/{id}/retrieve\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "nKzoenzwTMieaXPZ7xF49"
    },
    "results": {
      "languages": [
        {
          "id": "tFw9JDod7FEIN4DwUnxt7",
          "language": "200",
          "code": "// Product restored to the requested version successfully. Normally the body is an empty object. When one or more variants were linked or delinked while in ARCHIVED state as part of the restore, the body is instead a partial-response structure (name, code, totalEntries, successful, failed, detail[] with a per-variant message, reason) reporting each such variant and whether it was linked to / delinked from the product in ARCHIVED state. The restore itself still succeeds and no link is broken.\n{}"
        }
      ],
      "selectedLanguageId": "tFw9JDod7FEIN4DwUnxt7"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}